<?php
// General Settings
define('WEBSITE_TITLE', 'VPNSuper');
define('DATE_FORMAT', 'd M Y');
define('TIME_FORMAT', 'h:i A');
define('DATETIME_FORMAT', 'd M Y h:i A');

// Time Settings
define('CALC_SECONDS', 1);
define('CALC_MINUTES', CALC_SECONDS * 60);
define('CALC_HOURS', CALC_MINUTES * 60);
define('CALC_DAYS', CALC_HOURS * 24);
define('CALC_YEARS', CALC_DAYS * 365);

// Input Settings
define('MY_TEXT_TYPE', 'text');
define('MY_IMAGE_TYPE', 'image');
define('MY_VIDEO_TYPE', 'video');
define('MY_AUDIO_TYPE', 'audio');
define('MY_IMAGE_PDF_TYPE', 'imagepdf');
define('MY_PDF_TYPE', 'application/pdf');
define('MY_LOG_TYPE', 'logs');
define('MY_LOCATION_TYPE', 'place');
define('MY_MEDIA_TYPE', 'media');
define('MY_MEDIA_TYPES_ARRAY', array(MY_AUDIO_TYPE, MY_VIDEO_TYPE, MY_IMAGE_TYPE));

// Developer Settings
define('DEFAULT_CONTROLLERS', ['profile', 'dashboard']);

// General Settings
define('ACTIVE_INACTIVE_OPTIONS', ['1' => 'Active', '0' => 'Inactive']);
define('YES_NO_OPTIONS', ['1' => 'Yes', '0' => 'No']);
define('NO_YES_OPTIONS', ['0' => 'No', '1' => 'Yes']);
define('IS_EXPIRED_OPTIONS', ['1' => 'Expired', '0' => 'Active']);
define('MY_DATE_FIELDS', ['created_at', 'updated_at', 'original_purchase_date_ms', 'purchase_date_ms', 'expires_date_ms', 'created_date', 'updated_date', 'stat_date']);

define('LATEST_DATA_CRITERIA', '-7 Days');

// Store
define('MY_APP_STORE_ID', 'myAppStoreID');

// Emails
define('SEND_EMAILS_FLAG', true);
define('MY_SMTP_FROM_EMAIL', "noreply@vpnproxymaster.app");
// define('MY_SMTP_FROM_EMAIL', "noreply@vpnsuper.app");
define("MY_SMTP_HOST","ssl://smtp.yandex.com");
define("MY_SMTP_USER","noreply@vpnproxymaster.app");
// define("MY_SMTP_USER","noreply@vpnsuper.app");
define("MY_SMTP_PASSWORD","nIr87nDR92");
// define("MY_SMTP_PASSWORD","vqr37ntU9c2");
define("MY_SMTP_PORT","465");

define("SUBSCRIPTION_PACKAGE", "com.vpn.super.unlimited.proxy.open.free");
define("IOS_SUBSCRIPTION_PACKAGE_LIST", [
    'com.optimal.vpn.month' => 8.99,
    'com.optimal.vpn.year' => 33.99,
    'com.optimal.vpn.onetime' => 0,
    'com.optimal.vpn.streamingmonth' => 11.99,
    'com.optimal.vpn.streamingyear' => 69.99,
    'com.optimal.vpn.streamingmonth.m' => 11.99,
    'com.optimal.vpn.streamingyear.m' => 69.99,
    'com.V3Pgq6rK.month' => 0,
    'com.V3Pgq6rK.yearly' => 0,
    'com.V3Pgq6rK.streaming.monthly' => 0,
    'com.V3Pgq6rK.streaming.yearly' => 0,
    'com.V3Pgq6rK.streamingmonth.mac' => 0,
    'com.V3Pgq6rK.streamingyear.mac' => 0,
]);
define("ANDROID_SUBSCRIPTION_PACKAGE_LIST", [
    'com.vpn.super.unlimited.proxy.open.free.weekly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.monthly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.yearly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.streamingmonthly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.streamingyearly' => 0
]);
define("AMAZON_SUBSCRIPTION_PACKAGE_LIST", [
    'com.vpn.super.unlimited.proxy.open.free.weeklyamz' => 0,
    'com.vpn.super.unlimited.proxy.open.free.monthlyamz' => 0,
    'com.vpn.super.unlimited.proxy.open.free.yearlyamz' => 0,
    'com.vpn.super.unlimited.proxy.open.free.streamingmonthlyamz' => 0,
    'com.vpn.super.unlimited.proxy.open.free.streamingyearlyamz' => 0
]);
define("HUAWEI_SUBSCRIPTION_PACKAGE_LIST", [
    'com.test.vpn.monthly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.streamingmonthly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.streamingyearly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.Monthly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.Yearly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.monthly' => 0,
    'com.vpn.super.unlimited.proxy.open.free.yearly' => 0,
]);
define("HUAWEI_PRICING_NOTIFICATION_STATUS", [
    'INITIAL_BUY',
    'CANCEL',
    'RENEWAL',
    'INTERACTIVE_RENEWAL',
    'NEW_RENEWAL_PREF',
    'RENEWAL_STOPPED',
    'RENEWAL_RESTORED',
    'RENEWAL_RECURRING'
]);
define("IOS_PRICING_NOTIFICATION_STATUS", ['INITIAL_BUY', 'DID_RENEW', 'INTERACTIVE_RENEWAL','SUBSCRIBED']);
define("AMAZON_PRICING_NOTIFICATION_STATUS", ['SUBSCRIPTION_PURCHASED', 'SUBSCRIPTION_RENEWED', 'SUBSCRIPTION_CONVERTED_FREE_TRIAL_TO_PAID']);

define("VPN_WHOLESALER_API_KEY", "6xwnkjc3bV4xaAqYfgzXvd");
define("VPN_WHOLESALER_API_URL_PREFIX", "https://vpnsuper.vpngn.com/api/");
define("VPN_WHOLESALER_DOMAIN", "vpw.vpnproxymaster.app");
define("DEBUG_MODE", FALSE);

define("APP_STORE_APPLE", "apple");
define("APP_STORE_ANDROID", "android");
define("APP_STORE_AMAZON", "amazon");
define("APP_STORE_HUAWEI", "huawei");
define("MY_APP_STORES", [APP_STORE_APPLE, APP_STORE_ANDROID, APP_STORE_AMAZON, APP_STORE_HUAWEI]);

define("AMAZON_APPSTORE_DEVELOPER_KEY", "2:-WAhhwGP3__rg2kz6Yl7X8WMpdbCU0vq4yqUitE4lA0M8eikNQkhOPMKkCzKRda3d0-CTFWY7vVD0l1_HGYKCA==:vbzYSqxCorHPbBGSbd5oxA==");

define("PASSWORD_KEY", "TPcZk7nr0jXnoGlXqC0j0O8H0iWrfa1ScYDININYDPQsXhySC29B4gzojejLm3PLMfqagMWaOJKKt9MPrxDXtXrQ33P3lXX0slmr");
define("PASSWORD_STARTING_INDEX", 11);
define("PASSWORD_KEY_LENGTH", 32);

define("PREMIUM_SUBSCRIPTION_PACKAGES", [
        // iOS Live
        'com.optimal.vpn.streamingyear',
        'com.optimal.vpn.streamingmonth',
        // Android Live
        'com.vpn.super.unlimited.proxy.open.free.streamingyearly',
        'com.vpn.super.unlimited.proxy.open.free.streamingmonthly',
        // macOS Live
        'com.optimal.vpn.streamingyear.m',
        'com.optimal.vpn.streamingmonth.m',
        // iOS Sandbox
        'com.V3Pgq6rK.streaming.yearly',
        'com.V3Pgq6rK.streaming.monthly',
        // macOS Sandbox
        'com.V3Pgq6rK.streamingyear.mac',
        'com.V3Pgq6rK.streamingmonth.mac',

        //huawei
        'com.vpn.super.unlimited.proxy.open.free.streamingmonthly',
        'com.vpn.super.unlimited.proxy.open.free.streamingyearly',
        'com.vpn.super.unlimited.proxy.open.free.Monthly',
        'com.vpn.super.unlimited.proxy.open.free.Yearly',
        'com.vpn.super.unlimited.proxy.open.free.monthly',
        'com.vpn.super.unlimited.proxy.open.free.yearly',
    ]
);

define("ANALYTICS_REPORT_TO", ["greendigitalc@gmail.com"]);
define("ANALYTICS_REPORT_CC", []);
define("ANALYTICS_REPORT_BCC", []);

define("OVPN_SERVER_UPDATE_PATH","http://144.126.211.210/ovpn/vpnGate/");
define("OVPN_SERVER_ALERT_MAIL",['mahesh.p@upsquare.in','vivek.f@upsquare.in','nishit.p@upsquare.in','hardip.k@upsquare.in','jigar@upsquare.in','krunal.p@upsquare.in','kriyans.p@upsquare.in']);